### Method

# Ide GreeterWorkspace open_project

#### Declaration

    void
    ide_greeter_workspace_open_project (
      IdeGreeterWorkspace* self,
      IdeProjectInfo* project_info
    )

#### Description

Opens the project described by `project_info`.

This is useful by greeter workspace extensions that add new surfaces which may not have other means to activate a project.

Available since: | 3.32

#### Parameters

`project_info` | `IdeProjectInfo`
| An `IdeProjectInfo`.
| The data is owned by the caller of the function.